module DarkHall
	module Game
		def self.show_name_input_dialog(message, default = "")
			name = %x|ruby -Ku name_input_exe.rb #{message} #{default} 2> name-input-error.txt|
			if $? == 0 then
				return name
			else
				raise "can't open name input dialog. please see name-input-error.txt"
			end
		end
	end
end
